- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vca_vapp – Manages vCloud Air vApp instances

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module will actively managed vCloud Air vApp instances. Instances can be created and deleted as well as both deployed and undeployed.

## Requirements

The below requirements are needed on the host that executes this module.

- pyvcloud <= 18.2.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_version string | Default: "5.7" | The api version to be used with the vca
gateway_name string | Default: "gateway" | The name of the gateway of the vdc where the rule should be added.
host string |  | The authentication host to be used when service type is vcd.
instance_id string |  | The instance id in a vchs environment to be used for creating the vapp
network_mode - | Choices: pool ← dhcp static | Configures the mode of the network connection.
network_name - |  | The name of the network that should be attached to the virtual machine in the vApp. The virtual network specified must already be created in the vCloud Air VDC. If the state is not 'absent' then the network_name argument must be provided.
operation - | Choices: noop ← poweron poweroff suspend shutdown reboot reset | Specifies an operation to be performed on the vApp.
org string |  | The org to login to for creating vapp, mostly set when the service_type is vdc.
password string |  | The vCloud Air password to use during authentication aliases: pass, passwd
service_type string | Choices: vca ← vchs vcd | The type of service we are authenticating against
state string | Choices: present ← absent deployed undeployed | Configures the state of the vApp.
template_name - |  | The name of the vApp template to use to create the vApp instance. If the state is not `absent` then the template_name value must be provided. The template_name must be previously uploaded to the catalog specified by catalog_name
username string |  | The vCloud Air username to use during authentication aliases: user
validate_certs boolean | Choices: no yes ← | If the certificates of the authentication is to be verified. aliases: verify_certs
vapp_name - / required |  | The name of the vCloud Air vApp instance
vdc_name string |  | The name of the virtual data center (VDC) where the vm should be created or contains the vAPP.
vm_cpus - |  | The number of vCPUs to configure for the VM in the vApp. If the vm_name argument is provided, then this becomes a per VM setting otherwise it is applied to all VMs in the vApp.
vm_memory - |  | The amount of memory in MB to allocate to VMs in the vApp. If the vm_name argument is provided, then this becomes a per VM setting otherwise it is applied to all VMs in the vApp.
vm_name - |  | The name of the virtual machine instance in the vApp to manage.

## Notes

Note

- VMware sold their vCloud Air service in Q2 2017.
- VMware made significant changes to the pyvcloud interface around this time. The `vca_vapp` module relies on now deprecated code.
- Mileage with `vca_vapp` may vary as vCloud Director APIs advance.
- A viable alternative maybe https://github.com/vmware/ansible-module-vcloud-director

## Examples

    - name: Creates a new vApp in a VCA instance
      vca_vapp:
        vapp_name: tower
        state: present
        template_name: 'Ubuntu Server 12.04 LTS (amd64 20150127)'
        vdc_name: VDC1
        instance_id: '<your instance id here>'
        username: '<your username here>'
        password: '<your password here>'
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Peter Sprygada (@privateip)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.